function product_response_success(data, status) {
    product_response(data, status);
}

function product_response_error(data, status) {
    // Инициализация
    data = data.responseJSON;

    product_response(data, status);
}

function product_response(data, status) {
    // Основной блок
    if (data.main !== undefined) {
        // Инициализация
        main = document.getElementsByTagName('main')[0];

        // Обновление документа
        main.innerHTML = data.main;

        // Реинициализация
        reinitialization(main);
    };

    // Перенаправление
    if (data.redirect !== undefined) {
        // Перенаправление
        history.pushState({}, document.title, data.redirect);
    };

    // CSRF-токен
    if (data._csrf !== undefined) {
        // Обновление документа
        $('meta[name=csrf-token]').prop("content", data._csrf);
    };
}